<template>
    <v-container>
      <v-layout column>

        <v-flex xs12 md6 lg6>
          <v-text-field
            :rules="rules"
            v-model="form.isim"
            label="İsim"
            outlined
          ></v-text-field>
        </v-flex>

        <v-flex xs12 md6 lg6>
          <v-text-field
            :rules="emailRules"
            v-model="form.email"
            label="e-mail"
            outlined
          ></v-text-field>
        </v-flex>

        <v-flex xs12 md6 lg6>
        <v-textarea
          :rules="rules"
          outlined
          name="input-7-4"
          label="Buyrun anlatın durumu. (yazar olmak içinse nedenini anlatın)"
          v-model="form.icerik"
        ></v-textarea>
      </v-flex>

        <v-flex xs12 sm6 d-flex>
        <v-select
          :rules="rules"
          v-model="form.kategori"
          :items="kategoriler"
          label="Kategori"
          outlined
        ></v-select>
      </v-flex>
          <div class="my-2">
        <v-btn text large color="primary" :disabled="!form.isim || !form.email || !form.icerik || !form.kategori" @click.prevent="post">Gönder</v-btn>
      </div>
      </v-layout>
      <v-overlay
      :z-index="zIndex"
      :value="overlay"
      :opacity="opacity"
    >
      <v-btn
        class="white--text"
        color="#FF3D00"
        @click="overlay = false"
      >
        <span><v-icon>mdi-mouse</v-icon>Gönderi Alındı, Kapatmak İçin Tıklayın</span>
      </v-btn>
    </v-overlay>
    </v-container>
</template>

<script>

export default {
  data: () => ({
    form: {
      isim: '',
      icerik: '',
      email: '',
      kategori: ''
    },
    kategoriler: ['Yazar olmak istiyorum', 'Şikayetim Var', 'Başka Türlü Birşey Benim İstediğim'],
    overlay: false,
    opacity: 0.8,
    rules: [
      value => !!value || 'Doldurulması Zorunlu Alan'
    ],
    emailRules: [
      v => !!v || 'E-mail is required',
      v => /.+@.+/.test(v) || 'E-mail geçerli olmalıdır'
    ]
  }),
  methods: {
    post () {
      this.$http.post('https://rekare-9321d.firebaseio.com/iletisim.json', this.form
      ).then((data) => { console.log(data) })
      this.overlay = true
      this.form = ''
    }
  }
}

</script>
